Package net.snowflake.client.core

## Class PrivateLinkDetector

- java.lang.Object
- - net.snowflake.client.core.PrivateLinkDetector

    @SnowflakeJdbcInternalApi
    public class PrivateLinkDetector
    extends Object

### Constructor Summary

Constructors
`PrivateLinkDetector()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isPrivateLink​(String host)` We can only tell if private link is enabled for certain hosts when the hostname contains the word 'privatelink' but we don't have a good way of telling if a private link connection is expected for internal stages for example.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivateLinkDetector

    public PrivateLinkDetector()

### Method Detail

#### isPrivateLink

    public static boolean isPrivateLink​(String host)

We can only tell if private link is enabled for certain hosts when the hostname contains the word 'privatelink' but we don't have a good way of telling if a private link connection is expected for internal stages for example.